<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ShopPlus Headphone</title>

    <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <script src="plugins/select2/js/select2.full.min.js"></script>

    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

    <!-- Các file css tự định nghĩa thêm -->
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg fixed-top" id="mainNav">
        <a class="navbar-brand" href="HomePage.html">
            <span>
                ShopPlusVN
            </span>
        </a>
        <label for="check">
            <i class="fas fa-bars" id="menu-bar-click"></i>
            <i class="fas fa-times" id="menu-bar-cancel"></i>
        </label>
        <ul class="navbar-nav ml-auto">
            <li class="nav-item pt-1 align-self-center">
                <a class="nav-link" href="HomePage.html">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item pt-1 align-self-center">
                <a class="nav-link" href="headphone.html"> Headphone </a>
            </li>
            <li class="nav-item pt-1 align-self-center">
                <a class="nav-link to-about-us" href="#"> About </a>
            </li>
            <li class="nav-item pt-1 align-self-center">
                <a class="nav-link to-contact-us" href="#">Contact Us</a>
            </li>
            <li class="nav-item dropdown pt-1 align-self-center">
                <a class="nav-link px-4" data-toggle="dropdown">
                    <span class="fa-stack fa-1x pl-2">
                        <i class="fas fa-circle fa-stack-2x icon-background"></i>
                        <i class="fa-solid fa-user fa-stack-1x"></i>
                    </span>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <div class="text-center mt-1">
                            <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i>
                                Log
                                in</button>
                            <button class="btn btn-light" id="btn-sign-up"><i class="fa-regular fa-square-plus"></i>
                                Sign
                                up</button>
                        </div>
                        <div class="text-center mt-1">
                            <a id="name-user"></a>
                            <button class="btn btn-danger" id="btn-log-out"><i
                                    class="fa-solid fa-right-from-bracket"></i> Log
                                out</button>
                        </div>
                    </div>
                </a>
            </li>
        </ul>
        <div class="user_option-box">
            <a href="customerInfo.html">
                <i class="fa fa-user" aria-hidden="true"></i>
            </a>
            <a href="cart.html">
                <i class="fa fa-cart-plus" aria-hidden="true"></i>
            </a>
            <a href="#" id="show-search">
                <i class="fa fa-search" aria-hidden="true"></i>
            </a>
        </div>
    </nav>

    <!-- div detail product -->
    <div class="container-fluid details-headphone">
        <div class="text-center">
            <h2 id="name-headphone">
                
            </h2>
        </div>
        <div class="row">
            <div class="col-sm-4">
                <img width="100%" id="img-headphone">
            </div>
            <div class="col-sm-8" id="details-headphone">
            </div>
        </div>
    </div>

    <hr>

    <!-- About us -->
    <div class="container-fluid about-us">
        <div class="row">
            <div class="col-md-6 col-lg-5">
                <div class="img-box">
                    <img src="images/aboutus.jpg" alt="">
                </div>
            </div>
            <div class="col-md-6 col-lg-7">
                <div class="detail-box text-center">
                    <h2>
                        About Us
                    </h2>
                    <p>
                        ShopPlus is a leading company specializing in providing tws headphones in Ho Chi Minh City
                        with more than 5 years of industry experience.
                    </p>
                </div>
            </div>
        </div>
    </div>

    <hr>

    <!-- Contact -->
    <div class="container-fluid contact-us">
        <div class="row form-group">
            <div class="col-md-6">
                <h2 class="text-center title-contact">
                    Contact Us
                </h2>
                <div>
                    <input type="text" class="form-control" id="inp-full-name" placeholder="Full Name " />
                    <span style="color: red;" id="span-full-name"></span>
                </div>
                <div>
                    <input type="email" class="form-control" id="inp-email" placeholder="Email" />
                    <span style="color: red;" id="span-email"></span>
                </div>
                <div>
                    <input type="text" class="form-control" id="inp-phone" placeholder="Phone number" />
                    <span style="color: red;" id="span-phone"></span>
                </div>
                <div>
                    <input type="text" class="form-control" id="inp-message" class="message-box"
                        placeholder="Message" />
                    <span style="color: red;" id="span-message"></span>
                </div>
                <div class="btn-box">
                    <button id="send-advise" class="btn1">
                        SEND
                    </button>
                </div>
            </div>
            <div class="col-md-6">
                <div class="img-box">
                    <img src="images/poster.jpg" alt="">
                </div>
            </div>
        </div>
    </div>

    <!-- Footer -->
    <div class="container-fluid footer_section">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="footer_detail">
                        <h4>
                            About
                        </h4>
                        <p>
                            ShopPlusVN Co., Ltd
                        </p>
                        <a href="">
                            <i class="fa-brands fa-facebook" aria-hidden="true"></i>
                        </a>
                        <a href="">
                            <i class="fa-brands fa-twitter" aria-hidden="true"></i>
                        </a>
                        <a href="">
                            <i class="fa-brands fa-linkedin" aria-hidden="true"></i>
                        </a>
                        <a href="">
                            <i class="fa-brands fa-instagram" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="footer_contact">
                        <h4>
                            Reach at..
                        </h4>
                        <div class="contact_link_box">
                            <a href="">
                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                <span>
                                    78 Tân Hòa Đông, P.14, Q.6, tpHCM
                                </span>
                            </a> <br>
                            <a href="">
                                <i class="fa fa-phone" aria-hidden="true"></i>
                                <span>
                                    Call 0909887249
                                </span>
                            </a> <br>
                            <a href="">
                                <i class="fa fa-envelope" aria-hidden="true"></i>
                                <span>
                                    shopplusVN@gmail.com
                                </span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gURL = "http://localhost:8080/products/";

    var gUrlSite = new URL(window.location.href);
    var gParam = gUrlSite.searchParams.get("productId");

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    // Khi tải trang
    onPageLoading();

    // Sự kiện khi click tag About us
    $(".to-about-us").click(function () {
        $('html, body').animate({
            scrollTop: $(".about-us").offset().top
        }, 1000);
    });

    // Sự kiện khi click tag Contact
    $(".to-contact-us").click(function () {
        $('html, body').animate({
            scrollTop: $(".contact-us").offset().top
        }, 1000);
    });

    // Sự kiện gửi advise
    $('#send-advise').on('click', onBtnSendAdvise);

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // Hàm xử lý khi tải trang
    function onPageLoading() {
        callApiDetailsProduct();
    }

    // Hàm xử lý khi click send advise
    function onBtnSendAdvise() {
        var vAdviseObj = {
            fullName: "",
            phoneNum: "",
            message: "",
            email: ""
        };
        vAdviseObj.fullName = $('#inp-full-name').val();
        vAdviseObj.phoneNum = $('#inp-phone').val();
        vAdviseObj.message = $('#inp-message').val();
        vAdviseObj.email = $('#inp-email').val()
        var vIsCheck = validateAdvise(vAdviseObj);
        if (vIsCheck) {
            $('#span-full-name').html("");
            $('#span-phone').html("");
            $('#span-message').html("");
            $('#span-email').html("");
            callApiPostNewAdvise(vAdviseObj);
            $('#inp-full-name').val("");
            $('#inp-phone').val("");
            $('#inp-message').val("");
            $('#inp-email').val("");
        }
    }

    /*** REGION 4 - Common function - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // Hàm call api get details product
    function callApiDetailsProduct() {
        $.ajax({
            url: gURL + gParam,
            type: "GET",
            async: false,
            success: function (res) {
                //console.log(res);
                showDetails(res);
            },
            error: function (error) {
                console.log(error.responseText);
            }
        });
    }

    // Hàm show details in browser
    function showDetails(paramResult) {
        $('#name-headphone').html(paramResult.productName);
        $('#img-headphone').attr("src", paramResult.photo);
        var vDetails = "";
        vDetails += `
            <h5>Product Code: ` + paramResult.productCode + `</h5>
            <h5>Description: ` + paramResult.productDescription + `</h5>
            <h5>Quantity In Stock: ` + paramResult.quantityInStock + `</h5>
            <h5>Price: ` + paramResult.buyPrice + ` VND</h5>
            <button class="btn btn-primary" id="btn-add-cart">Add Cart</button>`;
        $('#details-headphone').html(vDetails);
    }

    // Hàm validate dữ liệu advise
    function validateAdvise(paramObj) {
        var vRegex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        var vResult = true;
        if (paramObj.fullName == "") {
            $('#span-full-name').html("You must get your name");
            vResult = false;
        }
        if (!vRegex.test(paramObj.email)) {
            $('#span-email').html("Invalid email");
            vResult = false;
        }
        if (paramObj.phoneNum == "") {
            $('#span-phone').html("You must get your phone number");
            vResult = false;
        }
        if (paramObj.message == "") {
            $('#span-message').html("You must get message");
            vResult = false;
        }
        return vResult;
    }

    // Hàm call api post new advise
    function callApiPostNewAdvise(paramObj) {
        $.ajax({
        url: "http://localhost:8080/advise",
        method: "POST",
        async: false,
        contentType: "application/json;charset=UTF-8",
        data: JSON.stringify(paramObj),
        success: function (res) {
        //   console.log(res);
          alert("Gửi yêu cầu tư vấn thành công!");
        },
        error: function (paramError) {
        //   console.log(paramError);
          alert("Gửi yêu cầu tư vấn không thành công!");
        }
      });
    }

</script>

</html>